## cttex 1.23

=== Makefile ===
all: cttex dict2state

cttex: cttex.c map.o
	gcc -O2 -o cttex cttex.c map.o

map.o: map.c
	gcc -O2 -c map.c

dictsort: dictsort.c
	gcc -O2 -o dictsort dictsort.c

dict2state: dict2state.c
	gcc -O2 -o dict2state dict2state.c

map.c: tdict.txt dict2state
	./dict2state

tdict.txt: tdict.org tdict.hui
	cat tdict.org tdict.hui > tdict.txt

clean: 
	rm -f cttex dictsort dict2state tdict.h map.c map.h *~ *.o \
	tdict.sorted tdict.txt

=== debian/changelog ===
cttex (1.23) unstable; urgency=low

  * Incorporate debian directory upstream
  * Fix Build-Depends (closes: #140550)
  * Fix spelling error (closes: #125618)
  * Bump Standards-Version to 3.5.7

 -- Chanop Silpa-Anan <chanop@debian.org>  Thu, 12 Sep 2002 13:14:32 +1000

cttex (1.22-1) unstable; urgency=low

  * Permission from upstream author to use GPL license
  * New release
  * Bump Standards-Version to 3.5.2

 -- Chanop Silpa-Anan <chanop@debian.org>  Wed, 28 Feb 2001 23:11:48 +1100

cttex (1.21-3) unstable; urgency=low

  * Fix man page title
  * Add upstream author's copyright statement

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Fri, 28 Jan 2000 11:59:38 +1100

cttex (1.21-2) unstable; urgency=low

  * Add man page for cttex

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Wed, 26 Jan 2000 02:36:47 +1100

cttex (1.21-1) unstable; urgency=low

  * Initial Release.

 -- Chanop Silpa-Anan (Tim) <chanop@writeme.com>  Mon, 10 Jan 2000 01:42:58 +1100

=== debian/control ===
Source: cttex
Section: tex
Priority: optional
Maintainer: Chanop Silpa-Anan <chanop@debian.org>
Build-Depends: debhelper
Standards-Version: 3.5.7

Package: cttex
Architecture: any
Depends: ${shlibs:Depends}
Description: Thai word separator for Thai TeTeX/LaTeX and HTML
 This is a Thai word separator program intended for use with
 Thai LaTeX and HTML documents.
 .
 Thai script is written continuously without using "space" for
 breaking between words. A program such as LaTeX, then, needs
 to know where to break the sentence for a newline.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	#$(MAKE)
	make
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	make clean
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -d -o root -g root -m 0755 debian/tmp debian/tmp/usr debian/tmp/usr/bin
	install -o root -g root -m 0755 cttex debian/tmp/usr/bin 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
